package com.persagy.dmp.rwd.digital.service.impl;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.persagy.dmp.basic.dto.CoordinateCalInfo;
import com.persagy.dmp.basic.dto.RelationCalDTO;
import com.persagy.dmp.basic.dto.RelationCalRuleDTO;
import com.persagy.dmp.common.exception.BusinessException;
import com.persagy.dmp.define.entity.RelationDefine;
import com.persagy.dmp.digital.entity.ObjectRelation;
import com.persagy.dmp.rwd.basic.constant.BusinessErrorRwdCode;
import com.persagy.dmp.rwd.digital.domain.CalculatingDTO;
import com.persagy.dmp.rwd.digital.service.CalculateService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/***
 * Description: 根据坐标计算关系的策略类
 * @author : lijie
 * @date :2021/9/8 17:02
 * Update By lijie 2021/9/8 17:02
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class CoordinateCalculateServiceImpl implements CalculateService {
    /***
     * Description: 根据坐标计算关系
     * @param calRule : 计算规则
     * @param calculatingDTO : 参数
     * @return : void
     * @author : lijie
     * @date :2021/9/8 17:14
     * Update By lijie 2021/9/8 17:14
     */
    @Override
    public void calculateRelation(RelationCalRuleDTO calRule, CalculatingDTO calculatingDTO) {
        CoordinateCalInfo graphCalInfo = calRule.getGraphCalInfo();
        RelationDefine relationDefine = calculatingDTO.getRelationDefine();
        if (StrUtil.isBlank(relationDefine.getFromObjType()) || StrUtil.isBlank(relationDefine.getToObjType())){
            throw new BusinessException(BusinessErrorRwdCode.A7312.getCode(),BusinessErrorRwdCode.A7312.getDesc());
        }






    }
}
